## hwloc 2.2.0+dfsg

=== contrib/windows/Makefile ===
# Makefile.in generated by automake 1.16.1 from Makefile.am.
# contrib/windows/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994-2018 Free Software Foundation, Inc.

# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.



# Copyright © 2009-2018 Inria.  All rights reserved.
# See COPYING in top-level directory.

# This Makefile doesn't run by default because it requires
# bash, and grep built with support for -P

am__is_gnu_make = { \
  if test -z '$(MAKELEVEL)'; then \
    false; \
  elif test -n '$(MAKE_HOST)'; then \
    true; \
  elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
    true; \
  else \
    false; \
  fi; \
}
am__make_running_with_option = \
  case $${target_option-} in \
      ?) ;; \
      *) echo "am__make_running_with_option: internal error: invalid" \
              "target option '$${target_option-}' specified" >&2; \
         exit 1;; \
  esac; \
  has_opt=no; \
  sane_makeflags=$$MAKEFLAGS; \
  if $(am__is_gnu_make); then \
    sane_makeflags=$$MFLAGS; \
  else \
    case $$MAKEFLAGS in \
      *\\[\ \	]*) \
        bs=\\; \
        sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
          | sed "s/$$bs$$bs[$$bs $$bs	]*//g"`;; \
    esac; \
  fi; \
  skip_next=no; \
  strip_trailopt () \
  { \
    flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
  }; \
  for flg in $$sane_makeflags; do \
    test $$skip_next = yes && { skip_next=no; continue; }; \
    case $$flg in \
      *=*|--*) continue;; \
        -*I) strip_trailopt 'I'; skip_next=yes;; \
      -*I?*) strip_trailopt 'I';; \
        -*O) strip_trailopt 'O'; skip_next=yes;; \
      -*O?*) strip_trailopt 'O';; \
        -*l) strip_trailopt 'l'; skip_next=yes;; \
      -*l?*) strip_trailopt 'l';; \
      -[dEDm]) skip_next=yes;; \
      -[JT]) skip_next=yes;; \
    esac; \
    case $$flg in \
      *$$target_option*) has_opt=yes; break;; \
    esac; \
  done; \
  test $$has_opt = yes
am__make_dryrun = (target_option=n; $(am__make_running_with_option))
am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
pkgdatadir = $(datadir)/hwloc
pkgincludedir = $(includedir)/hwloc
pkglibdir = $(libdir)/hwloc
pkglibexecdir = $(libexecdir)/hwloc
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = x86_64-pc-linux-gnu
host_triplet = x86_64-pc-linux-gnu
target_triplet = x86_64-pc-linux-gnu
subdir = contrib/windows
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/config/hwloc.m4 \
	$(top_srcdir)/config/hwloc_check_attributes.m4 \
	$(top_srcdir)/config/hwloc_check_vendor.m4 \
	$(top_srcdir)/config/hwloc_check_visibility.m4 \
	$(top_srcdir)/config/hwloc_components.m4 \
	$(top_srcdir)/config/hwloc_internal.m4 \
	$(top_srcdir)/config/hwloc_pkg.m4 \
	$(top_srcdir)/config/libtool.m4 \
	$(top_srcdir)/config/ltoptions.m4 \
	$(top_srcdir)/config/ltsugar.m4 \
	$(top_srcdir)/config/ltversion.m4 \
	$(top_srcdir)/config/lt~obsolete.m4 \
	$(top_srcdir)/config/netloc.m4 $(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
DIST_COMMON = $(srcdir)/Makefile.am $(am__DIST_COMMON)
mkinstalldirs = $(install_sh) -d
CONFIG_HEADER = $(top_builddir)/include/private/autogen/config.h \
	$(top_builddir)/include/hwloc/autogen/config.h
CONFIG_CLEAN_FILES = test-windows-version.sh
CONFIG_CLEAN_VPATH_FILES =
AM_V_P = $(am__v_P_$(V))
am__v_P_ = $(am__v_P_$(AM_DEFAULT_VERBOSITY))
am__v_P_0 = false
am__v_P_1 = :
AM_V_GEN = $(am__v_GEN_$(V))
am__v_GEN_ = $(am__v_GEN_$(AM_DEFAULT_VERBOSITY))
am__v_GEN_0 = @echo "  GEN     " $@;
am__v_GEN_1 = 
AM_V_at = $(am__v_at_$(V))
am__v_at_ = $(am__v_at_$(AM_DEFAULT_VERBOSITY))
am__v_at_0 = @
am__v_at_1 = 
SOURCES =
DIST_SOURCES =
am__can_run_installinfo = \
  case $$AM_UPDATE_INFO_DIR in \
    n|no|NO) false;; \
    *) (install-info --version) >/dev/null 2>&1;; \
  esac
am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
am__tty_colors_dummy = \
  mgn= red= grn= lgn= blu= brg= std=; \
  am__color_tests=no
am__tty_colors = { \
  $(am__tty_colors_dummy); \
  if test "X$(AM_COLOR_TESTS)" = Xno; then \
    am__color_tests=no; \
  elif test "X$(AM_COLOR_TESTS)" = Xalways; then \
    am__color_tests=yes; \
  elif test "X$$TERM" != Xdumb && { test -t 1; } 2>/dev/null; then \
    am__color_tests=yes; \
  fi; \
  if test $$am__color_tests = yes; then \
    red='[0;31m'; \
    grn='[0;32m'; \
    lgn='[1;32m'; \
    blu='[1;34m'; \
    mgn='[0;35m'; \
    brg='[1m'; \
    std='[m'; \
  fi; \
}
am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
am__vpath_adj = case $$p in \
    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
    *) f=$$p;; \
  esac;
am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
am__install_max = 40
am__nobase_strip_setup = \
  srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
am__nobase_strip = \
  for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
am__nobase_list = $(am__nobase_strip_setup); \
  for p in $$list; do echo "$$p $$p"; done | \
  sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
  $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
    if (++n[$$2] == $(am__install_max)) \
      { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
    END { for (dir in files) print dir, files[dir] }'
am__base_list = \
  sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
  sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
am__uninstall_files_from_dir = { \
  test -z "$$files" \
    || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
    || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
         $(am__cd) "$$dir" && rm -f $$files; }; \
  }
am__recheck_rx = ^[ 	]*:recheck:[ 	]*
am__global_test_result_rx = ^[ 	]*:global-test-result:[ 	]*
am__copy_in_global_log_rx = ^[ 	]*:copy-in-global-log:[ 	]*
# A command that, given a newline-separated list of test names on the
# standard input, print the name of the tests that are to be re-run
# upon "make recheck".
am__list_recheck_tests = $(AWK) '{ \
  recheck = 1; \
  while ((rc = (getline line < ($$0 ".trs"))) != 0) \
    { \
      if (rc < 0) \
        { \
          if ((getline line2 < ($$0 ".log")) < 0) \
	    recheck = 0; \
          break; \
        } \
      else if (line ~ /$(am__recheck_rx)[nN][Oo]/) \
        { \
          recheck = 0; \
          break; \
        } \
      else if (line ~ /$(am__recheck_rx)[yY][eE][sS]/) \
        { \
          break; \
        } \
    }; \
  if (recheck) \
    print $$0; \
  close ($$0 ".trs"); \
  close ($$0 ".log"); \
}'
# A command that, given a newline-separated list of test names on the
# standard input, create the global log from their .trs and .log files.
am__create_global_log = $(AWK) ' \
function fatal(msg) \
{ \
  print "fatal: making $@: " msg | "cat >&2"; \
  exit 1; \
} \
function rst_section(header) \
{ \
  print header; \
  len = length(header); \
  for (i = 1; i <= len; i = i + 1) \
    printf "="; \
  printf "\n\n"; \
} \
{ \
  copy_in_global_log = 1; \
  global_test_result = "RUN"; \
  while ((rc = (getline line < ($$0 ".trs"))) != 0) \
    { \
      if (rc < 0) \
         fatal("failed to read from " $$0 ".trs"); \
      if (line ~ /$(am__global_test_result_rx)/) \
        { \
          sub("$(am__global_test_result_rx)", "", line); \
          sub("[ 	]*$$", "", line); \
          global_test_result = line; \
        } \
      else if (line ~ /$(am__copy_in_global_log_rx)[nN][oO]/) \
        copy_in_global_log = 0; \
    }; \
  if (copy_in_global_log) \
    { \
      rst_section(global_test_result ": " $$0); \
      while ((rc = (getline line < ($$0 ".log"))) != 0) \
      { \
        if (rc < 0) \
          fatal("failed to read from " $$0 ".log"); \
        print line; \
      }; \
      printf "\n"; \
    }; \
  close ($$0 ".trs"); \
  close ($$0 ".log"); \
}'
# Restructured Text title.
am__rst_title = { sed 's/.*/   &   /;h;s/./=/g;p;x;s/ *$$//;p;g' && echo; }
# Solaris 10 'make', and several other traditional 'make' implementations,
# pass "-e" to $(SHELL), and POSIX 2008 even requires this.  Work around it
# by disabling -e (using the XSI extension "set +e") if it's set.
am__sh_e_setup = case $$- in *e*) set +e;; esac
# Default flags passed to test drivers.
am__common_driver_flags = \
  --color-tests "$$am__color_tests" \
  --enable-hard-errors "$$am__enable_hard_errors" \
  --expect-failure "$$am__expect_failure"
# To be inserted before the command running the test.  Creates the
# directory for the log if needed.  Stores in $dir the directory
# containing $f, in $tst the test, in $log the log.  Executes the
# developer- defined test setup AM_TESTS_ENVIRONMENT (if any), and
# passes TESTS_ENVIRONMENT.  Set up options for the wrapper that
# will run the test scripts (or their associated LOG_COMPILER, if
# thy have one).
am__check_pre = \
$(am__sh_e_setup);					\
$(am__vpath_adj_setup) $(am__vpath_adj)			\
$(am__tty_colors);					\
srcdir=$(srcdir); export srcdir;			\
case "$@" in						\
  */*) am__odir=`echo "./$@" | sed 's|/[^/]*$$||'`;;	\
    *) am__odir=.;; 					\
esac;							\
test "x$$am__odir" = x"." || test -d "$$am__odir" 	\
  || $(MKDIR_P) "$$am__odir" || exit $$?;		\
if test -f "./$$f"; then dir=./;			\
elif test -f "$$f"; then dir=;				\
else dir="$(srcdir)/"; fi;				\
tst=$$dir$$f; log='$@'; 				\
if test -n '$(DISABLE_HARD_ERRORS)'; then		\
  am__enable_hard_errors=no; 				\
else							\
  am__enable_hard_errors=yes; 				\
fi; 							\
case " $(XFAIL_TESTS) " in				\
  *[\ \	]$$f[\ \	]* | *[\ \	]$$dir$$f[\ \	]*) \
    am__expect_failure=yes;;				\
  *)							\
    am__expect_failure=no;;				\
esac; 							\
$(AM_TESTS_ENVIRONMENT) $(TESTS_ENVIRONMENT)
# A shell command to get the names of the tests scripts with any registered
# extension removed (i.e., equivalently, the names of the test logs, with
# the '.log' extension removed).  The result is saved in the shell variable
# '$bases'.  This honors runtime overriding of TESTS and TEST_LOGS.  Sadly,
# we cannot use something simpler, involving e.g., "$(TEST_LOGS:.log=)",
# since that might cause problem with VPATH rewrites for suffix-less tests.
# See also 'test-harness-vpath-rewrite.sh' and 'test-trs-basic.sh'.
am__set_TESTS_bases = \
  bases='$(TEST_LOGS)'; \
  bases=`for i in $$bases; do echo $$i; done | sed 's/\.log$$//'`; \
  bases=`echo $$bases`
RECHECK_LOGS = $(TEST_LOGS)
AM_RECURSIVE_TARGETS = check recheck
TEST_SUITE_LOG = test-suite.log
TEST_EXTENSIONS =  .test
LOG_DRIVER = $(SHELL) $(top_srcdir)/./config/test-driver
LOG_COMPILE = $(LOG_COMPILER) $(AM_LOG_FLAGS) $(LOG_FLAGS)
am__set_b = \
  case '$@' in \
    */*) \
      case '$*' in \
        */*) b='$*';; \
          *) b=`echo '$@' | sed 's/\.log$$//'`; \
       esac;; \
    *) \
      b='$*';; \
  esac
am__test_logs1 = $(TESTS:=.log)
am__test_logs2 = $(am__test_logs1:.log=.log)
TEST_LOGS = $(am__test_logs2:.test.log=.log)
TEST_LOG_DRIVER = $(SHELL) $(top_srcdir)/./config/test-driver
TEST_LOG_COMPILE = $(TEST_LOG_COMPILER) $(AM_TEST_LOG_FLAGS) \
	$(TEST_LOG_FLAGS)
am__DIST_COMMON = $(srcdir)/Makefile.in \
	$(srcdir)/test-windows-version.sh.in \
	$(top_srcdir)/./config/test-driver README
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)

## hwloc 0.9.3~rc1

=== debian/changelog ===
hwloc (0.9.3~rc1-1) unstable; urgency=low

  * New upstream bugfix release.
  * patches/binutils-gold.patch: Merged upstream.
  * patches/hwloc-hello.patch: Merged upstream.
  * control: Add Build-Depends-Indep: doxygen, texlive-latex-base, transfig to
    regenerate the documentation.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 24 Nov 2009 20:42:08 +0100

hwloc (0.9.2-2) unstable; urgency=low

  * control:
    - Enable libnuma-dev build-dep only on archs which have it.
    - Add libncurses5-dev build-dep.
    - Add expanded "Hardware Locality" in the description.
  * rules: Run the testsuite but don't fail for now.
  * source/format: Switch to 3.0 format (quilt).
  * patches/binutils-gold.patch: Backported upstream patch to fix link
    with binutils-gold.
  * patches/hwloc-hello.patch: Backported upstream patch to always try
    to run hwloc-hello.
  * docs: Remove.
  * libhwloc-doc.install: Move documentation to /usr/share/doc/libhwloc-doc.
  * libhwloc-doc.docs: Add NEWS, README and html documentation.
  * hwloc.docs, hwloc-nox.docs: Add NEWS and README files.

 -- Samuel Thibault <sthibault@debian.org>  Thu, 19 Nov 2009 03:35:18 +0100

hwloc (0.9.2-1) unstable; urgency=low

  * Initial release (Closes: Bug#535615)

 -- Samuel Thibault <sthibault@debian.org>  Tue, 18 Aug 2009 01:35:03 +0200

=== debian/control ===
Source: hwloc
Priority: extra
Maintainer: Samuel Thibault <sthibault@debian.org>
Build-Depends: debhelper (>= 7), autotools-dev, help2man,
  libcairo2-dev, libx11-dev, libxml2-dev, libxml2-utils, libncurses5-dev,
  libnuma-dev [amd64 i386 ia64 mips mipsel powerpc]
Build-Depends-Indep: doxygen, texlive-latex-base, transfig
Standards-Version: 3.8.3
Section: libs
Homepage: http://www.open-mpi.org/projects/hwloc/
Vcs-Svn: http://svn.open-mpi.org/svn/hwloc/debian
Vcs-Browser: http://svn.open-mpi.org/svn/hwloc/debian

Package: hwloc
Section: admin
Architecture: any
Multi-Arch: foreign
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Hierarchical view of the machine - utilities
 Hardware Locality (hwloc) provides a portable abstraction (across OS, versions,
 architectures, ...) of the hierarchical topology of modern architectures. It
 primarily aims at helping high-performance computing applications with
 gathering information about the hardware so as to exploit it accordingly and
 efficiently.
 .
 hwloc provides a hierarchical view of the machine, NUMA memory nodes,
 sockets, shared caches, cores and simultaneous multithreading. It also gathers
 various attributes such as cache and memory information.
 .
 hwloc supports old kernels not having sysfs topology information,
 with knowledge of cpusets, offline cpus, and Kerrighed support
 .
 This package contains utilities to show the topology of the machine, manipulate
 cpu masks, and bind processes.

Package: hwloc-nox
Section: admin
Architecture: any
Multi-Arch: foreign
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: hwloc
Description: Hierarchical view of the machine - non-X version of utilities
 Hardware Locality (hwloc) provides a portable abstraction (across OS, versions,
 architectures, ...) of the hierarchical topology of modern architectures. It
 primarily aims at helping high-performance computing applications with
 gathering information about the hardware so as to exploit it accordingly and
 efficiently.
 .
 hwloc provides a hierarchical view of the machine, NUMA memory nodes,
 sockets, shared caches, cores and simultaneous multithreading. It also gathers
 various attributes such as cache and memory information.
 .
 hwloc supports old kernels not having sysfs topology information,
 with knowledge of cpusets, offline cpus, and Kerrighed support
 .
 This package contains utilities to show the topology of the machine (without X
 support), manipulate cpu masks, and bind processes.

Package: libhwloc-dev
Section: libdevel
Architecture: any
Depends: libhwloc0 (= ${binary:Version}), libxml2-dev
Description: Hierarchical view of the machine - static libs and headers
 Hardware Locality (hwloc) provides a portable abstraction (across OS, versions,
 architectures, ...) of the hierarchical topology of modern architectures. It
 primarily aims at helping high-performance computing applications with
 gathering information about the hardware so as to exploit it accordingly and
 efficiently.
 .
 libhwloc provides a hierarchical view of the machine, NUMA memory nodes,
 sockets, shared caches, cores and simultaneous multithreading. It also gathers
 various attributes such as cache and memory information.
 .
 libhwloc supports old kernels not having sysfs topology information,
 with knowledge of cpusets, offline cpus, and Kerrighed support
 .
 This package contains static libraries and development headers.

Package: libhwloc0
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Hierarchical view of the machine - shared libs
 libhwloc provides a portable abstraction (across OS, versions,
 architectures, ...) of the hierarchical topology of modern architectures. It
 primarily aims at helping high-performance computing applications with
 gathering information about the hardware so as to exploit it accordingly and
 efficiently.
 .
 libhwloc provides a hierarchical view of the machine, NUMA memory nodes,
 sockets, shared caches, cores and simultaneous multithreading. It also gathers
 various attributes such as cache and memory information.
 .
 libhwloc supports old kernels not having sysfs topology information,
 with knowledge of cpusets, offline cpus, and Kerrighed support
 .
 This package contains shared libraries.

Package: libhwloc-common
Section: libs
Architecture: all
Description: Hierarchical view of the machine - shared libs
 Hardware Locality (hwloc) provides a portable abstraction (across OS, versions,
 architectures, ...) of the hierarchical topology of modern architectures. It
 primarily aims at helping high-performance computing applications with
 gathering information about the hardware so as to exploit it accordingly and
 efficiently.
 .
 libhwloc provides a hierarchical view of the machine, NUMA memory nodes,
 sockets, shared caches, cores and simultaneous multithreading. It also gathers
 various attributes such as cache and memory information.
 .
 libhwloc supports old kernels not having sysfs topology information,
 with knowledge of cpusets, offline cpus, and Kerrighed support
 .
 This package contains the XML DTD of the lstopo XML output.

Package: libhwloc-doc
Section: doc
Architecture: all
Description: Hierarchical view of the machine - documentation
 Hardware Locality (hwloc) provides a portable abstraction (across OS, versions,
 architectures, ...) of the hierarchical topology of modern architectures. It
 primarily aims at helping high-performance computing applications with
 gathering information about the hardware so as to exploit it accordingly and
 efficiently.
 .
 libhwloc provides a hierarchical view of the machine, NUMA memory nodes,
 sockets, shared caches, cores and simultaneous multithreading. It also gathers
 various attributes such as cache and memory information.
 .
 libhwloc supports old kernels not having sysfs topology information,
 with knowledge of cpusets, offline cpus, and Kerrighed support
 .
 This package contains documentation.

=== debian/rules ===
#!/usr/bin/make -f

DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
ifneq ($(DEB_HOST_GNU_TYPE),$(DEB_BUILD_GNU_TYPE))
CROSS= --build $(DEB_BUILD_GNU_TYPE) --host $(DEB_HOST_GNU_TYPE)
else
CROSS= --build $(DEB_BUILD_GNU_TYPE)
endif

ifneq (,$(filter noopt,$(DEB_BUILD_OPTIONS)))
CFLAGS += -O0
else
CFLAGS += -O2
endif

confflags=--prefix=/usr --libdir=\$${prefix}/lib/$(DEB_HOST_GNU_TYPE) --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info CFLAGS="$(CFLAGS)" LDFLAGS="-Wl,-z,defs"

obj-x/config.status: configure
	dh_testdir

	mkdir -p obj-x
	cd obj-x && ../configure $(CROSS) $(confflags)

obj-nox/config.status: configure
	dh_testdir

	mkdir -p obj-nox
	cd obj-nox && ../configure $(CROSS) $(confflags) --disable-cairo


build: build-stamp
build-stamp: obj-x/config.status obj-nox/config.status
	dh_testdir

	cd obj-x && $(MAKE)
	cd obj-nox && $(MAKE)
	-cd obj-nox && $(MAKE) check

	touch $@

clean: 
	dh_testdir
	dh_testroot
	rm -f build-stamp 

	rm -fr obj-x obj-nox
	rm -f config.sub config.guess

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_prep  
	dh_installdirs

	cd obj-x && $(MAKE) DESTDIR=$(CURDIR)/debian/tmp install

binary-indep: export DH_OPTIONS=-i
binary-indep: install
	dh_testdir
	dh_testroot
	dh_install
	dh_installdocs
	dh_installchangelogs 
	dh_installexamples
	dh_installman
	dh_link
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary-arch: export DH_OPTIONS=-s
binary-arch: install
	dh_testdir
	dh_testroot
	dh_install
	dh_installdocs
	dh_installchangelogs 
	dh_installman
	dh_installmenu
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## hwloc 1.0

=== debian/changelog ===
hwloc (1.0-1) unstable; urgency=low

  * New upstream release.
  * debian/control: Build-Depend on cdbs.
  * debian/rules: Include /usr/share/cdbs/1/class/langcore.mk instead of
    parsing DEB_BUILD_OPTIONS by hand, enable parallel build.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 18 May 2010 18:23:34 +0200

hwloc (1.0~rc1-1) experimental; urgency=low

  * New upstream release canditate.
  * debian/format/options: Switch to bz2 compression.
  * debian/control:
    - Fix libhwloc-common short description.
    - Remove duplicate Section field.
    - Bump Standards-Version to 3.8.4 (no change needed).
    - Add libibverbs-dev Build-Depends on Linux ports.
  * debian/rules: Pass --enable-static to configure.
  * debian/hwloc-nox.install: Use a wildcard instead of the list of hwloc-*
    tools.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 20 Apr 2010 14:53:48 +0200

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,12 @@
 Source: hwloc
 Priority: extra
 Maintainer: Samuel Thibault <sthibault@debian.org>
-Build-Depends: debhelper (>= 7), autotools-dev, help2man,
+Build-Depends: debhelper (>= 7), autotools-dev, help2man, cdbs,
   libcairo2-dev, libx11-dev, libxml2-dev, libxml2-utils, libncurses5-dev,
-  libnuma-dev [amd64 i386 ia64 mips mipsel powerpc]
+  libnuma-dev [amd64 i386 ia64 mips mipsel powerpc],
+  libibverbs-dev [!hurd-i386 !kfreebsd-i386 !kfreebsd-amd64]
 Build-Depends-Indep: doxygen, texlive-latex-base, transfig
-Standards-Version: 3.8.3
+Standards-Version: 3.8.4
 Section: libs
 Homepage: http://www.open-mpi.org/projects/hwloc/
 Vcs-Svn: http://svn.open-mpi.org/svn/hwloc/debian
@@ -59,7 +60,7 @@
 Package: libhwloc-dev
 Section: libdevel
 Architecture: any
-Depends: libhwloc0 (= ${binary:Version}), libxml2-dev
+Depends: ${misc:Depends}, libhwloc0 (= ${binary:Version}), libxml2-dev
 Description: Hierarchical view of the machine - static libs and headers
  Hardware Locality (hwloc) provides a portable abstraction (across OS, versions,
  architectures, ...) of the hierarchical topology of modern architectures. It
@@ -77,7 +78,6 @@
  This package contains static libraries and development headers.
 
 Package: libhwloc0
-Section: libs
 Architecture: any
 Multi-Arch: same
 Depends: ${shlibs:Depends}, ${misc:Depends}
@@ -98,9 +98,9 @@
  This package contains shared libraries.
 
 Package: libhwloc-common
-Section: libs
 Architecture: all
-Description: Hierarchical view of the machine - shared libs
+Depends: ${misc:Depends}
+Description: Hierarchical view of the machine - common files
  Hardware Locality (hwloc) provides a portable abstraction (across OS, versions,
  architectures, ...) of the hierarchical topology of modern architectures. It
  primarily aims at helping high-performance computing applications with
@@ -119,6 +119,7 @@
 Package: libhwloc-doc
 Section: doc
 Architecture: all
+Depends: ${misc:Depends}
 Description: Hierarchical view of the machine - documentation
  Hardware Locality (hwloc) provides a portable abstraction (across OS, versions,
  architectures, ...) of the hierarchical topology of modern architectures. It

=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,6 @@
 #!/usr/bin/make -f
+
+include /usr/share/cdbs/1/class/langcore.mk
 
 DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
@@ -8,13 +10,11 @@
 CROSS= --build $(DEB_BUILD_GNU_TYPE)
 endif
 
-ifneq (,$(filter noopt,$(DEB_BUILD_OPTIONS)))
-CFLAGS += -O0
-else
-CFLAGS += -O2
+ifneq (,$(DEB_PARALLEL_JOBS))
+MAKEFLAGS += -j$(DEB_PARALELL_JOBS)
 endif
 
-confflags=--prefix=/usr --libdir=\$${prefix}/lib/$(DEB_HOST_GNU_TYPE) --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info CFLAGS="$(CFLAGS)" LDFLAGS="-Wl,-z,defs"
+confflags=--prefix=/usr --libdir=\$${prefix}/lib/$(DEB_HOST_GNU_TYPE) --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info --enable-static CFLAGS="$(CFLAGS)" LDFLAGS="-Wl,-z,defs"
 
 obj-x/config.status: configure
 	dh_testdir
@@ -29,11 +29,17 @@
 	cd obj-nox && ../configure $(CROSS) $(confflags) --disable-cairo
 
 
-build: build-stamp
-build-stamp: obj-x/config.status obj-nox/config.status
+build: build-stamp-x build-stamp-nox
+build-stamp-x: obj-x/config.status
 	dh_testdir
 
 	cd obj-x && $(MAKE)
+
+	touch $@
+
+build-stamp-nox: obj-nox/config.status
+	dh_testdir
+
 	cd obj-nox && $(MAKE)
 	-cd obj-nox && $(MAKE) check
 
@@ -42,7 +48,8 @@
 clean: 
 	dh_testdir
 	dh_testroot
-	rm -f build-stamp 
+	rm -f build-stamp-x
+	rm -f build-stamp-nox
 
 	rm -fr obj-x obj-nox
 	rm -f config.sub config.guess

## hwloc 1.0.2

=== debian/changelog ===
hwloc (1.0.2-2) unstable; urgency=low

  * debian/control:
    - Bump Standards-Version to 3.9.1 (no change needed).
    - Build-Depend on autoconf (>= 2.63), Build-conflicts with autoconf2.13
  * debian/rules:
    - Run autoconf before build to permit autoconf patches.
    - Remove configure on clean.
    - Fix typo for parallel build.
  * debian/patches/no-ibverbs-dep: New upstream patch to avoid libibverbs
    dependency.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 27 Jul 2010 11:43:35 +0200

hwloc (1.0.2-1) unstable; urgency=low

  New upstream release.
  * debian/hwloc-nox.manpages, debian/hwloc.manpages: Install hwloc.7 too.
  * debian/libhwloc-doc.manpages: No need to install linux_* any more.
  * debian/control:
    - Bump Standards-Version to 3.9.0 (no change needed).
    - Replace [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386] with [linux-any].

 -- Samuel Thibault <sthibault@debian.org>  Wed, 21 Jul 2010 22:09:08 +0200

=== debian/control ===
--- 
+++ 
@@ -4,9 +4,11 @@
 Build-Depends: debhelper (>= 7), autotools-dev, help2man, cdbs,
   libcairo2-dev, libx11-dev, libxml2-dev, libxml2-utils, libncurses5-dev,
   libnuma-dev [amd64 i386 ia64 mips mipsel powerpc],
-  libibverbs-dev [!hurd-i386 !kfreebsd-i386 !kfreebsd-amd64]
+  libibverbs-dev [linux-any],
+  autoconf (>= 2.63)
 Build-Depends-Indep: doxygen, texlive-latex-base, transfig
-Standards-Version: 3.8.4
+Build-Conflicts: autoconf2.13
+Standards-Version: 3.9.1
 Section: libs
 Homepage: http://www.open-mpi.org/projects/hwloc/
 Vcs-Svn: http://svn.open-mpi.org/svn/hwloc/debian

=== debian/rules ===
--- 
+++ 
@@ -11,10 +11,13 @@
 endif
 
 ifneq (,$(DEB_PARALLEL_JOBS))
-MAKEFLAGS += -j$(DEB_PARALELL_JOBS)
+MAKEFLAGS += -j$(DEB_PARALLEL_JOBS)
 endif
 
 confflags=--prefix=/usr --libdir=\$${prefix}/lib/$(DEB_HOST_GNU_TYPE) --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info --enable-static CFLAGS="$(CFLAGS)" LDFLAGS="-Wl,-z,defs"
+
+configure: configure.ac config/hwloc.m4
+	autoconf
 
 obj-x/config.status: configure
 	dh_testdir
@@ -53,6 +56,7 @@
 
 	rm -fr obj-x obj-nox
 	rm -f config.sub config.guess
+	rm -f configure
 
 	dh_clean

## hwloc 1.2

=== debian/changelog ===
hwloc (1.2-3) unstable; urgency=low

  * debian/rules: Set libdir to DEB_HOST_MULTIARCH.
  * debian/control: Make libhwloc3 pre-depend on multiarch-support.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 05 Jun 2011 12:38:54 +0200

hwloc (1.2-2) unstable; urgency=low

  * debian/rules: Use DEB_HOST_GNU_TYPE for /usr/lib path until shlibdeps
    finds libraries in DEB_HOST_MULTIARCH on any-i386.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 08 May 2011 10:24:47 +0200

hwloc (1.2-1) unstable; urgency=low

  * New upstream release, rename libhwloc2 package into libhwloc3 due to
    soname change.
  * debian/control:
    - Build-depend on dpkg-dev (>= 1.16)
    - Bump Standards-Version to 3.9.2
  * debian/rules: Use DEB_HOST_MULTIARCH for /usr/lib path.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 10 Apr 2011 20:13:45 +0200

hwloc (1.1.2-1) unstable; urgency=low

  * New upstream release.
  * debian/control: Replace doxygen+texlive* build dependency with
    doxygen-latex (Closes: Bug#616253).

 -- Samuel Thibault <sthibault@debian.org>  Thu, 03 Mar 2011 15:06:51 +0100

hwloc (1.1.1-1) unstable; urgency=low

  * New upstream release, rename libhwloc1 package into libhwloc2 due to
    soname change.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 06 Feb 2011 04:28:37 +0100

hwloc (1.1-2) experimental; urgency=low

  * Rename libhwloc0 packages name into libhwloc1 due to soname change.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 03 Jan 2011 11:12:18 +0100

hwloc (1.1-1) experimental; urgency=low

  * New upstream release.
    - debian/patches/no-ibverbs-dep: Drop, merged upstream.
    - debian/copyright: Update.

 -- Samuel Thibault <sthibault@debian.org>  Fri, 17 Dec 2010 01:51:24 +0100

=== debian/control ===
--- 
+++ 
@@ -5,10 +5,11 @@
   libcairo2-dev, libx11-dev, libxml2-dev, libxml2-utils, libncurses5-dev,
   libnuma-dev [amd64 i386 ia64 mips mipsel powerpc],
   libibverbs-dev [linux-any],
-  autoconf (>= 2.63)
-Build-Depends-Indep: doxygen, texlive-latex-base, transfig
+  autoconf (>= 2.63),
+  dpkg-dev (>= 1.16)
+Build-Depends-Indep: doxygen-latex, transfig
 Build-Conflicts: autoconf2.13
-Standards-Version: 3.9.1
+Standards-Version: 3.9.2
 Section: libs
 Homepage: http://www.open-mpi.org/projects/hwloc/
 Vcs-Svn: http://svn.open-mpi.org/svn/hwloc/debian
@@ -62,7 +63,7 @@
 Package: libhwloc-dev
 Section: libdevel
 Architecture: any
-Depends: ${misc:Depends}, libhwloc0 (= ${binary:Version}), libxml2-dev
+Depends: ${misc:Depends}, libhwloc3 (= ${binary:Version}), libxml2-dev
 Description: Hierarchical view of the machine - static libs and headers
  Hardware Locality (hwloc) provides a portable abstraction (across OS, versions,
  architectures, ...) of the hierarchical topology of modern architectures. It
@@ -79,9 +80,10 @@
  .
  This package contains static libraries and development headers.
 
-Package: libhwloc0
+Package: libhwloc3
 Architecture: any
 Multi-Arch: same
+Pre-Depends: multiarch-support
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: Hierarchical view of the machine - shared libs
  libhwloc provides a portable abstraction (across OS, versions,

=== debian/rules ===
--- 
+++ 
@@ -3,6 +3,7 @@
 include /usr/share/cdbs/1/class/langcore.mk
 
 DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
+DEB_HOST_MULTIARCH  ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
 ifneq ($(DEB_HOST_GNU_TYPE),$(DEB_BUILD_GNU_TYPE))
 CROSS= --build $(DEB_BUILD_GNU_TYPE) --host $(DEB_HOST_GNU_TYPE)
@@ -14,7 +15,7 @@
 MAKEFLAGS += -j$(DEB_PARALLEL_JOBS)
 endif
 
-confflags=--prefix=/usr --libdir=\$${prefix}/lib/$(DEB_HOST_GNU_TYPE) --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info --enable-static CFLAGS="$(CFLAGS)" LDFLAGS="-Wl,-z,defs"
+confflags=--prefix=/usr --libdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH) --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info --enable-static CFLAGS="$(CFLAGS)" LDFLAGS="-Wl,-z,defs"
 
 configure: configure.ac config/hwloc.m4
 	autoconf

## hwloc 1.3

=== debian/changelog ===
hwloc (1.3-1) unstable; urgency=low

  * New upstream release, rename libhwloc3 package into libhwloc4 due to
    soname change.
  * debian/control: Build-Depend on libpci-dev.

 -- Samuel Thibault <sthibault@debian.org>  Sat, 12 Nov 2011 23:08:06 +0100

hwloc (1.2.2-1) unstable; urgency=low

  * New upstream release.
  * control: Depend on hardening-check.
  * rules: Set DEB_BUILD_HARDENING=1 to enable hardening.

 -- Samuel Thibault <sthibault@debian.org>  Wed, 14 Sep 2011 17:18:20 +0200

hwloc (1.2.1-1) unstable; urgency=low

  * New upstream release.
  * debian/libhwloc-dev.install: Move pkg-config file to multiarch place.

 -- Samuel Thibault <sthibault@debian.org>  Thu, 09 Jun 2011 13:12:59 +0200

## hwloc 1.3released

=== debian/changelog ===
hwloc (1.3released-1) experimental; urgency=low

  * New upstream pre-release, rename libhwloc3 package into libhwloc4 due to
    soname change.
  * debian/control: Build-Depend on libpci-dev.

 -- Samuel Thibault <sthibault@debian.org>  Thu, 13 Oct 2011 00:36:07 +0200

hwloc (1.2.1-2) unstable; urgency=low

  * control: Depend on hardening-check.
  * rules: Set DEB_BUILD_HARDENING=1 to enable hardening.

 -- Samuel Thibault <sthibault@debian.org>  Wed, 14 Sep 2011 17:18:20 +0200

=== debian/control ===
--- 
+++ 
@@ -4,9 +4,11 @@
 Build-Depends: debhelper (>= 7), autotools-dev, help2man, cdbs,
   libcairo2-dev, libx11-dev, libxml2-dev, libxml2-utils, libncurses5-dev,
   libnuma-dev [amd64 i386 ia64 mips mipsel powerpc],
+  libpci-dev,
   libibverbs-dev [linux-any],
   autoconf (>= 2.63),
-  dpkg-dev (>= 1.16)
+  dpkg-dev (>= 1.16),
+  hardening-wrapper
 Build-Depends-Indep: doxygen-latex, transfig
 Build-Conflicts: autoconf2.13
 Standards-Version: 3.9.2
@@ -63,7 +65,7 @@
 Package: libhwloc-dev
 Section: libdevel
 Architecture: any
-Depends: ${misc:Depends}, libhwloc3 (= ${binary:Version}), libxml2-dev
+Depends: ${misc:Depends}, libhwloc4 (= ${binary:Version}), libxml2-dev
 Description: Hierarchical view of the machine - static libs and headers
  Hardware Locality (hwloc) provides a portable abstraction (across OS, versions,
  architectures, ...) of the hierarchical topology of modern architectures. It
@@ -80,7 +82,7 @@
  .
  This package contains static libraries and development headers.
 
-Package: libhwloc3
+Package: libhwloc4
 Architecture: any
 Multi-Arch: same
 Pre-Depends: multiarch-support

## hwloc 1.3.1

=== debian/changelog ===
hwloc (1.3.1-1) unstable; urgency=low

  * New upstream release.
  * Add hwloc-dev dependency on libpci-dev.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 20 Dec 2011 13:46:54 +0100

=== debian/control ===
--- 
+++ 
@@ -65,7 +65,7 @@
 Package: libhwloc-dev
 Section: libdevel
 Architecture: any
-Depends: ${misc:Depends}, libhwloc4 (= ${binary:Version}), libxml2-dev
+Depends: ${misc:Depends}, libhwloc4 (= ${binary:Version}), libxml2-dev, libpci-dev
 Description: Hierarchical view of the machine - static libs and headers
  Hardware Locality (hwloc) provides a portable abstraction (across OS, versions,
  architectures, ...) of the hierarchical topology of modern architectures. It

=== debian/rules ===
--- 
+++ 
@@ -10,6 +10,8 @@
 else
 CROSS= --build $(DEB_BUILD_GNU_TYPE)
 endif
+
+export DEB_BUILD_HARDENING=1
 
 ifneq (,$(DEB_PARALLEL_JOBS))
 MAKEFLAGS += -j$(DEB_PARALLEL_JOBS)

## hwloc 1.4

=== debian/changelog ===
hwloc (1.4-1) unstable; urgency=low

  * New upstream release, rename libhwloc4 package into libhwloc5 due to
    soname change.
  * Add ABI compatibility symlinks, and make libhwloc5 provide, replace and
    conflict with previous versions.

 -- Samuel Thibault <sthibault@debian.org>  Thu, 26 Jan 2012 17:00:20 +0100

=== debian/control ===
--- 
+++ 
@@ -65,7 +65,7 @@
 Package: libhwloc-dev
 Section: libdevel
 Architecture: any
-Depends: ${misc:Depends}, libhwloc4 (= ${binary:Version}), libxml2-dev, libpci-dev
+Depends: ${misc:Depends}, libhwloc5 (= ${binary:Version}), libxml2-dev, libpci-dev
 Description: Hierarchical view of the machine - static libs and headers
  Hardware Locality (hwloc) provides a portable abstraction (across OS, versions,
  architectures, ...) of the hierarchical topology of modern architectures. It
@@ -82,11 +82,14 @@
  .
  This package contains static libraries and development headers.
 
-Package: libhwloc4
+Package: libhwloc5
 Architecture: any
 Multi-Arch: same
 Pre-Depends: multiarch-support
 Depends: ${shlibs:Depends}, ${misc:Depends}
+Provides: libhwloc0, libhwloc1, libhwloc2, libhwloc3, libhwloc4
+Replaces: libhwloc0, libhwloc1, libhwloc2, libhwloc3, libhwloc4
+Conflicts: libhwloc0, libhwloc1, libhwloc2, libhwloc3, libhwloc4
 Description: Hierarchical view of the machine - shared libs
  libhwloc provides a portable abstraction (across OS, versions,
  architectures, ...) of the hierarchical topology of modern architectures. It

## hwloc 1.4.1

=== debian/changelog ===
hwloc (1.4.1-4) unstable; urgency=low

  * patches/gfbsd-ftbfs_r4578: New upstream patch to avoid missing
    cpuset_setaffinity function on kfreebsd-any
  * patches/unitialized_bytes_r4576: New upstream patch to fix uninitialized
    pointers in topology structure.

 -- Samuel Thibault <sthibault@debian.org>  Sat, 07 Jul 2012 01:18:49 -0300

hwloc (1.4.1-3) unstable; urgency=low

  [ Julien Cristau ]
  * Restore ABI compatibility symlinks and provide/replace/conflict, except
    with non-dangling symlinks this time. Closes: #664571.

 -- Samuel Thibault <sthibault@debian.org>  Fri, 06 Jul 2012 22:13:03 -0300

hwloc (1.4.1-2) unstable; urgency=low

  * Remove ABI compatibility symlinks and provide/replace/conflict, ldconfig
    actually removes them so they do not actually work.

 -- Samuel Thibault <sthibault@debian.org>  Wed, 28 Mar 2012 01:43:52 +0200

hwloc (1.4.1-1) unstable; urgency=low

  * New upstream release.
  * control: Bump Standards-Version to 3.9.3 (no changes).

 -- Samuel Thibault <sthibault@debian.org>  Sat, 25 Feb 2012 17:41:58 +0100

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
   hardening-wrapper
 Build-Depends-Indep: doxygen-latex, transfig
 Build-Conflicts: autoconf2.13
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Section: libs
 Homepage: http://www.open-mpi.org/projects/hwloc/
 Vcs-Svn: http://svn.open-mpi.org/svn/hwloc/debian

=== debian/rules ===
--- 
+++ 
@@ -35,7 +35,7 @@
 	cd obj-nox && ../configure $(CROSS) $(confflags) --disable-cairo
 
 
-build: build-stamp-x build-stamp-nox
+build: build-stamp-x build-stamp-nox debian/libhwloc5.links
 build-stamp-x: obj-x/config.status
 	dh_testdir
 
@@ -51,11 +51,15 @@
 
 	touch $@
 
+debian/libhwloc5.links: debian/libhwloc5.links.in
+	sed -e 's/@DEB_HOST_MULTIARCH@/$(DEB_HOST_MULTIARCH)/g' < $< > $@
+
 clean: 
 	dh_testdir
 	dh_testroot
 	rm -f build-stamp-x
 	rm -f build-stamp-nox
+	rm -f debian/libhwloc5.links
 
 	rm -fr obj-x obj-nox
 	rm -f config.sub config.guess

## hwloc 1.7

=== debian/changelog ===
hwloc (1.7-2) unstable; urgency=low

  * Upload to unstable.
  * control:
    - Make libhwloc5 Suggest libhwloc-contrib-plugins.
    - Make libhwloc-plugins depend on libhwloc5.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 07 May 2013 15:19:47 +0200

hwloc (1.7-1) experimental; urgency=low

  * New upstream release.
  * control: Replace libpci-dev build-dep with libpciaccess-dev.

 -- Samuel Thibault <sthibault@debian.org>  Thu, 11 Apr 2013 13:59:53 +0200

hwloc (1.6.1-1) experimental; urgency=low

  * New upstream release.
  * control: Make libhwloc-dev Multi-Arch: same.

 -- Samuel Thibault <sthibault@debian.org>  Fri, 18 Jan 2013 09:48:08 +0100

hwloc (1.6-2) experimental; urgency=low

  * rules: Enable plugins.
  * control:
    - Add libltdl-dev build-depends.
    - Add new hwloc-plugins package, containing libpci and libxml plugins.

 -- Samuel Thibault <sthibault@debian.org>  Fri, 07 Dec 2012 04:59:17 +0100

hwloc (1.6-1) experimental; urgency=low

  * New upstream release.
  * rules: Do not ignore all make distclean errors, only ignore Makefile not being
    present.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 03 Dec 2012 20:28:04 +0100

hwloc (1.5-1) experimental; urgency=low

  * New upstream release.
  * patches/unitialized_bytes_r4576,gfbsd-ftbfs_r4578: Remove, merged
    upstream.
  * rules: Do not build hwloc twice any more, use lstopo-no-graphics for the
    hwloc-nox package.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 30 Jul 2012 20:27:11 +0200

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,10 @@
 Source: hwloc
 Priority: extra
 Maintainer: Samuel Thibault <sthibault@debian.org>
-Build-Depends: debhelper (>= 7), autotools-dev, help2man, cdbs,
+Build-Depends: debhelper (>= 7), autotools-dev, help2man, cdbs, libltdl-dev,
   libcairo2-dev, libx11-dev, libxml2-dev, libxml2-utils, libncurses5-dev,
   libnuma-dev [amd64 i386 ia64 mips mipsel powerpc],
-  libpci-dev,
+  libpciaccess-dev,
   libibverbs-dev [linux-any],
   autoconf (>= 2.63),
   dpkg-dev (>= 1.16),
@@ -65,6 +65,7 @@
 Package: libhwloc-dev
 Section: libdevel
 Architecture: any
+Multi-Arch: same
 Depends: ${misc:Depends}, libhwloc5 (= ${binary:Version}), libxml2-dev, libpci-dev
 Description: Hierarchical view of the machine - static libs and headers
  Hardware Locality (hwloc) provides a portable abstraction (across OS, versions,
@@ -87,6 +88,8 @@
 Multi-Arch: same
 Pre-Depends: multiarch-support
 Depends: ${shlibs:Depends}, ${misc:Depends}
+Recommends: libhwloc-plugins
+Suggests: libhwloc-contrib-plugins
 Provides: libhwloc0, libhwloc1, libhwloc2, libhwloc3, libhwloc4
 Replaces: libhwloc0, libhwloc1, libhwloc2, libhwloc3, libhwloc4
 Conflicts: libhwloc0, libhwloc1, libhwloc2, libhwloc3, libhwloc4
@@ -105,6 +108,27 @@
  with knowledge of cpusets, offline cpus, and Kerrighed support
  .
  This package contains shared libraries.
+
+Package: libhwloc-plugins
+Architecture: any
+Depends: ${shlibs:Depends}, ${misc:Depends}, libhwloc5
+Description: Hierarchical view of the machine - plugins
+ libhwloc provides a portable abstraction (across OS, versions,
+ architectures, ...) of the hierarchical topology of modern architectures. It
+ primarily aims at helping high-performance computing applications with
+ gathering information about the hardware so as to exploit it accordingly and
+ efficiently.
+ .
+ libhwloc provides a hierarchical view of the machine, NUMA memory nodes,
+ sockets, shared caches, cores and simultaneous multithreading. It also gathers
+ various attributes such as cache and memory information.
+ .
+ libhwloc supports old kernels not having sysfs topology information,
+ with knowledge of cpusets, offline cpus, and Kerrighed support
+ .
+ This package contains plugins to add more discovery support. This includes
+  - PCI support
+  - libxml support
 
 Package: libhwloc-common
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -17,37 +17,23 @@
 MAKEFLAGS += -j$(DEB_PARALLEL_JOBS)
 endif
 
-confflags=--prefix=/usr --libdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH) --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info --enable-static CFLAGS="$(CFLAGS)" LDFLAGS="-Wl,-z,defs"
+confflags=--prefix=/usr --libdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH) --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info --enable-static CFLAGS="$(CFLAGS)" --enable-plugins
 
 configure: configure.ac config/hwloc.m4
 	autoconf
 
-obj-x/config.status: configure
+config.status: configure
 	dh_testdir
 
-	mkdir -p obj-x
-	cd obj-x && ../configure $(CROSS) $(confflags)
+	./configure $(CROSS) $(confflags)
 
-obj-nox/config.status: configure
+
+build: build-stamp debian/libhwloc5.links
+build-stamp: config.status
 	dh_testdir
 
-	mkdir -p obj-nox
-	cd obj-nox && ../configure $(CROSS) $(confflags) --disable-cairo
-
-
-build: build-stamp-x build-stamp-nox debian/libhwloc5.links
-build-stamp-x: obj-x/config.status
-	dh_testdir
-
-	cd obj-x && $(MAKE)
-
-	touch $@
-
-build-stamp-nox: obj-nox/config.status
-	dh_testdir
-
-	cd obj-nox && $(MAKE)
-	-cd obj-nox && $(MAKE) check
+	$(MAKE)
+	-$(MAKE) check
 
 	touch $@
 
@@ -57,11 +43,10 @@
 clean: 
 	dh_testdir
 	dh_testroot
-	rm -f build-stamp-x
-	rm -f build-stamp-nox
+	rm -f build-stamp
 	rm -f debian/libhwloc5.links
 
-	rm -fr obj-x obj-nox
+	[ ! -f Makefile ] || $(MAKE) distclean
 	rm -f config.sub config.guess
 	rm -f configure
 
@@ -73,7 +58,7 @@
 	dh_prep  
 	dh_installdirs
 
-	cd obj-x && $(MAKE) DESTDIR=$(CURDIR)/debian/tmp install
+	$(MAKE) DESTDIR=$(CURDIR)/debian/tmp install
 
 binary-indep: export DH_OPTIONS=-i
 binary-indep: install

## hwloc 1.7.1

=== debian/changelog ===
hwloc (1.7.1-1) unstable; urgency=low

  * New upstream release.
  * Move generated header to multiarch place. Closes: #707748.

 -- Samuel Thibault <sthibault@debian.org>  Wed, 22 May 2013 01:14:30 +0200

hwloc (1.7-3) unstable; urgency=low

  * Do not symlink lstopo into hwloc-info any more.
  * control: explicitly build-depend on pkg-config for PCI support.
  * patches/cpuset_ABI: Restore cpuset functions which were dropped without
    soname bump. Closes: #707452.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 14 May 2013 12:04:12 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Build-Depends: debhelper (>= 7), autotools-dev, help2man, cdbs, libltdl-dev,
   libcairo2-dev, libx11-dev, libxml2-dev, libxml2-utils, libncurses5-dev,
   libnuma-dev [amd64 i386 ia64 mips mipsel powerpc],
-  libpciaccess-dev,
+  libpciaccess-dev, pkg-config,
   libibverbs-dev [linux-any],
   autoconf (>= 2.63),
   dpkg-dev (>= 1.16),

## hwloc 1.7.2

=== debian/changelog ===
hwloc (1.7.2-1) unstable; urgency=low

  * New upstream release.
  * Add ocl-icd-opencl-dev and opencl-headers build-dependencies to build opencl
    plugin.
  * Bump Standards-Version to 3.9.4 (no changes).

 -- Samuel Thibault <sthibault@debian.org>  Tue, 03 Sep 2013 12:41:33 +0200

=== debian/control ===
--- 
+++ 
@@ -6,12 +6,13 @@
   libnuma-dev [amd64 i386 ia64 mips mipsel powerpc],
   libpciaccess-dev, pkg-config,
   libibverbs-dev [linux-any],
+  ocl-icd-opencl-dev, opencl-headers,
   autoconf (>= 2.63),
   dpkg-dev (>= 1.16),
   hardening-wrapper
 Build-Depends-Indep: doxygen-latex, transfig
 Build-Conflicts: autoconf2.13
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Section: libs
 Homepage: http://www.open-mpi.org/projects/hwloc/
 Vcs-Svn: http://svn.open-mpi.org/svn/hwloc/debian

## hwloc 1.8

=== debian/changelog ===
hwloc (1.8-1) unstable; urgency=low

  * New upstream release.
  * control: Update debian packaging VCS URL.
  * Bump Standards-Version to 3.9.5 (no changes).

 -- Samuel Thibault <sthibault@debian.org>  Tue, 19 Nov 2013 13:59:51 +0100

=== debian/control ===
--- 
+++ 
@@ -12,11 +12,11 @@
   hardening-wrapper
 Build-Depends-Indep: doxygen-latex, transfig
 Build-Conflicts: autoconf2.13
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Section: libs
 Homepage: http://www.open-mpi.org/projects/hwloc/
-Vcs-Svn: http://svn.open-mpi.org/svn/hwloc/debian
-Vcs-Browser: http://svn.open-mpi.org/svn/hwloc/debian
+Vcs-Git: http://github.com/open-mpi/hwloc-debian.git
+Vcs-Browser: http://github.com/open-mpi/hwloc-debian
 
 Package: hwloc
 Section: admin

=== debian/rules ===
--- 
+++ 
@@ -60,6 +60,9 @@
 
 	$(MAKE) DESTDIR=$(CURDIR)/debian/tmp install
 
+	mkdir -p $(CURDIR)/debian/tmp/usr/include/$(DEB_HOST_MULTIARCH)/hwloc/autogen
+	mv $(CURDIR)/debian/tmp/usr/include/hwloc/autogen/config.h $(CURDIR)/debian/tmp/usr/include/$(DEB_HOST_MULTIARCH)/hwloc/autogen/
+
 binary-indep: export DH_OPTIONS=-i
 binary-indep: install
 	dh_testdir
